Summary: diskdump utilities
Name: diskdumputils
Version: 0.3.2
Release: 1
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/System
BuildRoot: %{_tmppath}/%{name}-root
Requires: devlabel

%description
The diskdump utilities set up the kernel to save memory image to
the specified partition.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make install

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 34 -r -f netdump 2>/dev/null 1>&2 || :
/usr/sbin/useradd -c "Network Crash Dump user" -r -u 34 -g netdump \
    -s /bin/bash -r -d /var/crash netdump 2>/dev/null || :

%post
/sbin/chkconfig --add diskdump
# initialize the required bits for negotiating shared secrets, if necessary

%preun
if [ $1 = 0 ]; then
	/sbin/service diskdump stop > /dev/null 2>&1
	/sbin/chkconfig --del diskdump
fi


%files
%defattr(-,root,root)
%config(noreplace) %attr(0644,root,root)/etc/sysconfig/diskdump
/etc/rc.d/init.d/diskdump
%{_mandir}/man8/diskdumpctl.8*
%{_mandir}/man8/diskdumpfmt.8*
%{_mandir}/man8/savecore.8*
%dir %attr(-,netdump,netdump)/var/crash
%dir %attr(-,netdump,netdump)/var/crash/scripts
%doc README
%doc example_scripts
/usr/sbin/diskdumpctl
/usr/sbin/diskdumpfmt
/usr/sbin/savecore

%changelog
* Wed Jun  2 2004 Dave Anderson <anderson@redhat.com> 0.3.2-1
  Changed Source0 to .gz (from .bz2) 
  Added archive creation to Makefile (as done by netdump)
* Thu May 21 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.3.0
- README description of module parameters are revised according to Dave Anderson.
* Thu May 20 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.2.99
- Fixed by Dave Anderson's review
- Whole English in manuals and README were updated.
- FIxed invalid size specified in ftruncate().
- diskdump has its own script diskdump-nospace instead of netdump-nospace.
- add diskdump-nospace sample. 
* Thu May 10 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.1.9 IDE dump support
* Thu Mar 03 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.0.2 memory hole support
* Thu Feb 18 2004 Nobuhiro Tachino <ntachino@redhat.com>
- Initial build.
